Commit b4acb5ef by Nathanael Nerode

Makefile.tpl: Use 'mkinstalldirs' rather than 'mkdir' when...

	* Makefile.tpl: Use 'mkinstalldirs' rather than 'mkdir' when
	creating target and build subdirs to build all parent dirs as needed.
	* Makefile.in: Rebuild.
	* configure.in: Don't build dirs explicitly here.
	* configure: Rebuild.

From-SVN: r69871
parent 447673de
2003-07-27 Nathanael Nerode <neroden@gcc.gnu.org>
* Makefile.tpl: Use 'mkinstalldirs' rather than 'mkdir' when
creating target and build subdirs to build all parent dirs as needed.
* Makefile.in: Rebuild.
* configure.in: Don't build dirs explicitly here.
* configure: Rebuild.
2003-07-26 Paul Brook <paul@nowt.org>
* MAINTAINERS (fortran 95): Add myself, Steven Bosscher and Toon Moene.
......
......@@ -779,8 +779,7 @@ TAGS: do-TAGS
maybe-configure-build-[+module+]:
configure-build-[+module+]:
@test ! -f $(BUILD_SUBDIR)/[+module+]/Makefile || exit 0; \
[ -d $(BUILD_SUBDIR)/[+module+] ] || \
mkdir $(BUILD_SUBDIR)/[+module+];\
$(SHELL) $(srcdir)/mkinstalldirs $(BUILD_SUBDIR)/[+module+] ; \
r=`${PWD_COMMAND}`; export r; \
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
AR="$(AR_FOR_BUILD)"; export AR; \
......@@ -950,15 +949,13 @@ maybe-configure-target-[+module+]:
# There's only one multilib.out. Cleverer subdirs shouldn't need it copied.
$(TARGET_SUBDIR)/[+module+]/multilib.out: multilib.out
@[ -d $(TARGET_SUBDIR)/[+module+] ] || \
mkdir $(TARGET_SUBDIR)/[+module+]; \
$(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/[+module+] ; \
rm -f $(TARGET_SUBDIR)/[+module+]/Makefile || : ; \
cp multilib.out $(TARGET_SUBDIR)/[+module+]/multilib.out
configure-target-[+module+]: $(TARGET_SUBDIR)/[+module+]/multilib.out
@test ! -f $(TARGET_SUBDIR)/[+module+]/Makefile || exit 0; \
[ -d $(TARGET_SUBDIR)/[+module+] ] || \
mkdir $(TARGET_SUBDIR)/[+module+];\
$(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/[+module+] ; \
r=`${PWD_COMMAND}`; export r; \
s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
$(SET_LIB_PATH) \
......
......@@ -192,27 +192,9 @@ else
is_cross_compiler=yes
fi
# Find the build and target subdirs.
# Find the build and target subdir names.
GCC_TOPLEV_SUBDIRS
if test ! -d ${target_subdir} ; then
if mkdir ${target_subdir} ; then true
else
echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${target_subdir}" 1>&2
exit 1
fi
fi
if test x"${build_alias}" != x"${host}" ; then
if test ! -d ${build_subdir} ; then
if mkdir ${build_subdir} ; then true
else
echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${build_subdir}" 1>&2
exit 1
fi
fi
fi
# Skipdirs are removed silently.
skipdirs=
# Noconfigdirs are removed loudly.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment